Subject: bug#68227: 29.1; [tramp] adb stopped working (after upgrade from Emacs 28 to 29?)

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 18 Jan 2024 23:40:14 -0500

Hi Michael,

Michael Albinus <[email-masked]> writes:

> Maxim Cournoyer <[email-masked]> writes:
>
>> Hi Michael,
>
> Hi Maxim,
>
>> I'm a bit puzzled; as I've now re-rooted the phone and I get the same
>> result, although I can now do:
>>
>> $ adb shell
>> shell@htc_alpine_dugl:/ $ cd /data/local/tmp
>> shell@htc_alpine_dugl:/data/local/tmp $
>>
>> It's also possible to 'touch' a file there and delete it afterward.
>>
>> Any other ideas?
>
> Please run
>
> emacs -Q -l tramp -f tramp-cleanup-all-connections \
>       --eval '(setq tramp-verbose 10)' /adb::
>
> There will be a Tramp debug buffer, which you show. If it is too large,
> send it to me directly.

Here's the output:

--8<---------------cut here---------------start------------->8---
;; Emacs: 29.1 Tramp: 2.6.0.29.1 -*- mode: outline; coding: utf-8; -*-
;; Location: /gnu/store/3bsdryx1ykzj1g1av7njc310vy61qrzw-emacs-29.1/share/emacs/29.1/lisp/net/tramp.elc Git: /
23:36:46.530427 tramp-get-connection-property (7) # case-insensitive undef; cache used: nil
23:36:46.531018 tramp-get-file-property (8) # / file-truename undef; inhibit: 10; cache used: nil; cached at: nil
23:36:46.531260 tramp-get-file-property (8) # / file-attributes-integer undef; inhibit: 10; cache used: nil; cached at: nil
23:36:46.531335 tramp-get-file-property (8) # / file-attributes undef; inhibit: 10; cache used: nil; cached at: nil
23:36:46.531397 tramp-get-connection-property (7) # ls undef; cache used: nil
23:36:46.531457 tramp-adb-get-ls-command (5) # Finding a suitable ‘ls’ command
23:36:46.531513 tramp-get-connection-property (7) # null-device undef; cache used: nil
23:36:46.531881 tramp-set-connection-property (7) # null-device /dev/null
23:36:46.531950 tramp-get-connection-property (7) # process-buffer nil; cache used: nil
23:36:46.532009 tramp-get-connection-property (7) # process-buffer nil; cache used: nil
23:36:46.532056 tramp-set-connection-property (7) # process-buffer nil
23:36:46.532125 tramp-get-connection-property (7) # default-port undef; cache used: nil
23:36:46.532186 tramp-process-lines (6) # adb devices
23:36:46.541654 tramp-process-lines (6) # 
List of devices attached
HT7281601342	device
23:36:46.542459 tramp-adb-maybe-open-connection (3) # Opening adb shell connection...
23:36:46.542885 tramp-get-connection-property (7) # login-args undef; cache used: nil
23:36:46.543062 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:46.544171 tramp-adb-maybe-open-connection (6) # adb -s HT7281601342 shell
23:36:46.644452 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:46.644576 tramp-send-string (10) # 
23:36:46.644655 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.646578 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.646750 tramp-set-connection-property (7) # prompt ///2f285da54fff9cb9e1bff67e9b3cf382#\$
23:36:46.646866 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.646971 tramp-get-connection-property (7) # device undef; cache used: nil
23:36:46.647082 tramp-get-connection-property (7) # default-port undef; cache used: nil
23:36:46.647181 tramp-process-lines (6) # adb devices
23:36:46.653120 tramp-process-lines (6) # 
List of devices attached
HT7281601342	device
23:36:46.653285 tramp-set-connection-property (7) # device HT7281601342
23:36:46.653394 tramp-adb-send-command (6) # PS1="///""2f285da54fff9cb9e1bff67e9b3cf382""#$"
23:36:46.653495 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:46.653594 tramp-get-connection-property (7) # chunksize nil; cache used: nil
23:36:46.653688 tramp-set-connection-property (7) # last-cmd-time (26025 64606 653653 651000)
23:36:46.653788 tramp-send-string (10) # PS1="///""2f285da54fff9cb9e1bff67e9b3cf382""#$"
23:36:46.653880 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.653988 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.654080 tramp-set-connection-property (7) # locked t
23:36:46.654186 tramp-flush-connection-property (7) # locked
23:36:46.654285 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:46.654382 tramp-get-connection-property (7) # prompt ///2f285da54fff9cb9e1bff67e9b3cf382#\$; cache used: t
23:36:46.654479 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.654561 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.654654 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.654743 tramp-set-connection-property (7) # locked t
23:36:46.655287 tramp-accept-process-output (10) # *tramp/adb * nil run t
P
23:36:46.655397 tramp-flush-connection-property (7) # locked
23:36:46.655486 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.655578 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.655675 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.655760 tramp-set-connection-property (7) # locked t
23:36:46.656120 tramp-accept-process-output (10) # *tramp/adb * nil run t
PS
23:36:46.656275 tramp-flush-connection-property (7) # locked
23:36:46.656399 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.656489 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.656585 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.656735 tramp-set-connection-property (7) # locked t
23:36:46.697074 tramp-accept-process-output (10) # *tramp/adb * nil run t
PS1="///""2f285da54fff9cb9e1bff67e9b3cf382""#$"
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:46.697182 tramp-flush-connection-property (7) # locked
23:36:46.697272 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.697361 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.697459 tramp-wait-for-regexp (6) # 
PS1="///""2f285da54fff9cb9e1bff67e9b3cf382""#$"
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:46.697586 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.697760 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.697863 tramp-get-connection-property (7) # device HT7281601342; cache used: t
23:36:46.697957 tramp-adb-send-command (6) # set +o vi +o vi-esccomplete +o vi-tabcomplete +o emacs
23:36:46.698050 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:46.698146 tramp-get-connection-property (7) # chunksize nil; cache used: nil
23:36:46.698246 tramp-set-connection-property (7) # last-cmd-time (26025 64606 698207 159000)
23:36:46.698352 tramp-send-string (10) # set +o vi +o vi-esccomplete +o vi-tabcomplete +o emacs
23:36:46.698450 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.698554 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.698644 tramp-set-connection-property (7) # locked t
23:36:46.698745 tramp-flush-connection-property (7) # locked
23:36:46.698879 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:46.699010 tramp-get-connection-property (7) # prompt ///2f285da54fff9cb9e1bff67e9b3cf382#\$; cache used: t
23:36:46.699133 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.699238 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.699335 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.699423 tramp-set-connection-property (7) # locked t
23:36:46.699742 tramp-accept-process-output (10) # *tramp/adb * nil run t
s
23:36:46.699879 tramp-flush-connection-property (7) # locked
23:36:46.700011 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.700110 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.700211 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.700304 tramp-set-connection-property (7) # locked t
23:36:46.700620 tramp-accept-process-output (10) # *tramp/adb * nil run t
se
23:36:46.700726 tramp-flush-connection-property (7) # locked
23:36:46.700814 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.700922 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.701059 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.701168 tramp-set-connection-property (7) # locked t
23:36:46.741089 tramp-accept-process-output (10) # *tramp/adb * nil run t
set +o vi +o vi-esccomplete +o vi-tabcompet +o vi +o vi-esccomplete +o vi-tabcomp                                      <lete +o emacs
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:46.741213 tramp-flush-connection-property (7) # locked
23:36:46.741306 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.741394 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.741498 tramp-wait-for-regexp (6) # 
set +o vi +o vi-esccomplete +o vi-tabcompet +o vi +o vi-esccomplete +o vi-tabcomp                                      <lete +o emacs
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:46.741640 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.741776 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.741875 tramp-get-connection-property (7) # device HT7281601342; cache used: t
23:36:46.741972 tramp-adb-send-command (6) # set -o
23:36:46.742070 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:46.742170 tramp-get-connection-property (7) # chunksize nil; cache used: nil
23:36:46.742266 tramp-set-connection-property (7) # last-cmd-time (26025 64606 742230 203000)
23:36:46.742370 tramp-send-string (10) # set -o
23:36:46.742465 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.742568 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.742652 tramp-set-connection-property (7) # locked t
23:36:46.742750 tramp-flush-connection-property (7) # locked
23:36:46.742898 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:46.743035 tramp-get-connection-property (7) # prompt ///2f285da54fff9cb9e1bff67e9b3cf382#\$; cache used: t
23:36:46.743157 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.743258 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.743355 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.743440 tramp-set-connection-property (7) # locked t
23:36:46.743763 tramp-accept-process-output (10) # *tramp/adb * nil run t
s
23:36:46.743893 tramp-flush-connection-property (7) # locked
23:36:46.744034 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.744142 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.744238 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.744333 tramp-set-connection-property (7) # locked t
23:36:46.744644 tramp-accept-process-output (10) # *tramp/adb * nil run t
set -o
23:36:46.744732 tramp-flush-connection-property (7) # locked
23:36:46.744819 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.744925 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.745022 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.745115 tramp-set-connection-property (7) # locked t
23:36:46.785094 tramp-accept-process-output (10) # *tramp/adb * nil run t
set -o
Current option settings
allexport      off  keyword        off  notify         off  trackall       off
bgnice         off  login          off  nounset        off  utf8-mode      on 
braceexpand    on   markdirs       off  physical       off  verbose        off
emacs          off  monitor        on   pipefail       off  vi             off
errexit        off  noclobber      off  posix          off  vi-esccomplete off
gmacs          off  noexec         off  privileged     off  vi-tabcomplete off
ignoreeof      off  noglob         off  restricted     off  viraw          off
inherit-xtrace on   nohup          on   sh             off  xtrace         off
interactive    on   nolog          off  stdin          on   
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:46.785236 tramp-flush-connection-property (7) # locked
23:36:46.785326 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.785412 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.785507 tramp-wait-for-regexp (6) # 
set -o
Current option settings
allexport      off  keyword        off  notify         off  trackall       off
bgnice         off  login          off  nounset        off  utf8-mode      on 
braceexpand    on   markdirs       off  physical       off  verbose        off
emacs          off  monitor        on   pipefail       off  vi             off
errexit        off  noclobber      off  posix          off  vi-esccomplete off
gmacs          off  noexec         off  privileged     off  vi-tabcomplete off
ignoreeof      off  noglob         off  restricted     off  viraw          off
inherit-xtrace on   nohup          on   sh             off  xtrace         off
interactive    on   nolog          off  stdin          on   
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:46.785688 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.785838 tramp-adb-maybe-open-connection (5) # Checking system information
23:36:46.785944 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.786046 tramp-get-connection-property (7) # device HT7281601342; cache used: t
23:36:46.786140 tramp-adb-send-command (6) # echo \"`getprop ro.product.model` `getprop ro.product.version` `getprop ro.build.version.release`\"
23:36:46.786240 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:46.786334 tramp-get-connection-property (7) # chunksize nil; cache used: nil
23:36:46.786425 tramp-set-connection-property (7) # last-cmd-time (26025 64606 786390 194000)
23:36:46.786543 tramp-send-string (10) # echo \"`getprop ro.product.model` `getprop ro.product.version` `getprop ro.build.version.release`\"
23:36:46.786643 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.786751 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.786841 tramp-set-connection-property (7) # locked t
23:36:46.786940 tramp-flush-connection-property (7) # locked
23:36:46.787134 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:46.787261 tramp-get-connection-property (7) # prompt ///2f285da54fff9cb9e1bff67e9b3cf382#\$; cache used: t
23:36:46.787354 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.787437 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.787539 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.787643 tramp-set-connection-property (7) # locked t
23:36:46.788239 tramp-accept-process-output (10) # *tramp/adb * nil run t
e
23:36:46.788347 tramp-flush-connection-property (7) # locked
23:36:46.788438 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.788525 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.788654 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.788740 tramp-set-connection-property (7) # locked t
23:36:46.789150 tramp-accept-process-output (10) # *tramp/adb * nil run t
echo \"`getprop ro.product.model` `getprop ro.product.version` `getprop ro.build.version.release`\"
23:36:46.789253 tramp-flush-connection-property (7) # locked
23:36:46.789348 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.789437 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.789532 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.789619 tramp-set-connection-property (7) # locked t
23:36:46.839678 tramp-accept-process-output (10) # *tramp/adb * nil run t
echo \"`getprop ro.product.model` `getprop ro.product.version` `getprop ro.build.version.release`\"
"HTC_U-2u 1.30.709.6 6.0"
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:46.839822 tramp-flush-connection-property (7) # locked
23:36:46.839907 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.839996 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.840094 tramp-wait-for-regexp (6) # 
echo \"`getprop ro.product.model` `getprop ro.product.version` `getprop ro.build.version.release`\"
"HTC_U-2u 1.30.709.6 6.0"
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:46.840225 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.840392 tramp-get-connection-property (7) # getprop nil; cache used: nil
23:36:46.840489 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.840597 tramp-set-connection-property (7) # getprop HTC_U-2u 1.30.709.6 6.0
23:36:46.840689 tramp-set-connection-property (7) # connected t
23:36:46.841161 tramp-adb-maybe-open-connection (3) # Opening adb shell connection...done
23:36:46.841277 tramp-adb-send-command (6) # ls --time-style=long-iso /dev/null; echo tramp_exit_status $?
23:36:46.841381 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:46.841484 tramp-get-connection-property (7) # chunksize nil; cache used: nil
23:36:46.841591 tramp-set-connection-property (7) # last-cmd-time (26025 64606 841554 187000)
23:36:46.841726 tramp-send-string (10) # ls --time-style=long-iso /dev/null; echo tramp_exit_status $?
23:36:46.841823 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.841940 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.842027 tramp-set-connection-property (7) # locked t
23:36:46.842128 tramp-flush-connection-property (7) # locked
23:36:46.842254 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:46.842356 tramp-get-connection-property (7) # prompt ///2f285da54fff9cb9e1bff67e9b3cf382#\$; cache used: t
23:36:46.842454 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.842541 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.842634 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.842719 tramp-set-connection-property (7) # locked t
23:36:46.843017 tramp-accept-process-output (10) # *tramp/adb * nil run t
l
23:36:46.843122 tramp-flush-connection-property (7) # locked
23:36:46.843217 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.843308 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.843403 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.843492 tramp-set-connection-property (7) # locked t
23:36:46.844512 tramp-accept-process-output (10) # *tramp/adb * nil run t
ls --time-style=long-iso /dev/null; echo tramp_exit_status $?
23:36:46.844602 tramp-flush-connection-property (7) # locked
23:36:46.844689 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.844774 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.844896 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.844989 tramp-set-connection-property (7) # locked t
23:36:46.885076 tramp-accept-process-output (10) # *tramp/adb * nil run t
ls --time-style=long-iso /dev/null; echo tramp_exit_status $?
ls: Unknown option '--'. Aborting.
tramp_exit_status 1
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:46.885211 tramp-flush-connection-property (7) # locked
23:36:46.885302 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.885417 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.885512 tramp-wait-for-regexp (6) # 
ls --time-style=long-iso /dev/null; echo tramp_exit_status $?
ls: Unknown option '--'. Aborting.
tramp_exit_status 1
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:46.885646 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.885794 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.885937 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.886044 tramp-get-connection-property (7) # device HT7281601342; cache used: t
23:36:46.886142 tramp-adb-send-command (6) # toybox; echo tramp_exit_status $?
23:36:46.886238 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:46.886334 tramp-get-connection-property (7) # chunksize nil; cache used: nil
23:36:46.886429 tramp-set-connection-property (7) # last-cmd-time (26025 64606 886391 555000)
23:36:46.886530 tramp-send-string (10) # toybox; echo tramp_exit_status $?
23:36:46.886623 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.886730 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.886821 tramp-set-connection-property (7) # locked t
23:36:46.886923 tramp-flush-connection-property (7) # locked
23:36:46.887070 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:46.887170 tramp-get-connection-property (7) # prompt ///2f285da54fff9cb9e1bff67e9b3cf382#\$; cache used: t
23:36:46.916593 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.916691 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.916804 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.916916 tramp-set-connection-property (7) # locked t
23:36:46.917186 tramp-accept-process-output (10) # *tramp/adb * nil run t
toybox; echo tramp_exit_status $?
23:36:46.917275 tramp-flush-connection-property (7) # locked
23:36:46.917361 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.917444 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.917533 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.917673 tramp-set-connection-property (7) # locked t
23:36:46.933086 tramp-accept-process-output (10) # *tramp/adb * nil run t
toybox; echo tramp_exit_status $?
acpi base64 basename blkid blockdev bzcat cal cat chattr chcon chgrp
chmod chown chroot cksum clear cmp comm cp cpio cut date dd df dirname
dmesg dos2unix du echo egrep env expand expr fallocate false fgrep
find free freeramdisk fsfreeze getenforce getprop grep groups head
help hostname hwclock id ifconfig inotifyd insmod install kill killall
ln load_policy logname losetup ls lsattr lsmod lsusb makedevs md5sum
mkdir mkfifo mknod mkswap mktemp modinfo more mount mountpoint mv
nbd-client nc netcat netstat nice nl nohup od partprobe paste patch
pgrep pidof pivot_root pkill pmap printenv printf pwd pwdx readlink
realpath renice restorecon rev rfkill rm rmdir rmmod route runcon
sed seq setenforce setprop setsid sha1sum sleep sort split stat strings
swapoff swapon switch_root sync sysctl tac tail tar taskset tee time
timeout top touch tr traceroute traceroute6 true truncate tty umount
uname uniq unix2dos usleep vconfig vmstat wc which whoami xargs yes

tramp_exit_status 0
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:46.933266 tramp-flush-connection-property (7) # locked
23:36:46.933350 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.933432 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.933525 tramp-wait-for-regexp (6) # 
toybox; echo tramp_exit_status $?
acpi base64 basename blkid blockdev bzcat cal cat chattr chcon chgrp
chmod chown chroot cksum clear cmp comm cp cpio cut date dd df dirname
dmesg dos2unix du echo egrep env expand expr fallocate false fgrep
find free freeramdisk fsfreeze getenforce getprop grep groups head
help hostname hwclock id ifconfig inotifyd insmod install kill killall
ln load_policy logname losetup ls lsattr lsmod lsusb makedevs md5sum
mkdir mkfifo mknod mkswap mktemp modinfo more mount mountpoint mv
nbd-client nc netcat netstat nice nl nohup od partprobe paste patch
pgrep pidof pivot_root pkill pmap printenv printf pwd pwdx readlink
realpath renice restorecon rev rfkill rm rmdir rmmod route runcon
sed seq setenforce setprop setsid sha1sum sleep sort split stat strings
swapoff swapon switch_root sync sysctl tac tail tar taskset tee time
timeout top touch tr traceroute traceroute6 true truncate tty umount
uname uniq unix2dos usleep vconfig vmstat wc which whoami xargs yes

tramp_exit_status 0
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:46.933697 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.933866 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.933989 tramp-set-connection-property (7) # ls ls -1
23:36:46.934141 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.934240 tramp-get-connection-property (7) # device HT7281601342; cache used: t
23:36:46.934330 tramp-adb-send-command (6) # ls -1 -d -l / | cat; echo tramp_exit_status $?
23:36:46.934424 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:46.934518 tramp-get-connection-property (7) # chunksize nil; cache used: nil
23:36:46.934608 tramp-set-connection-property (7) # last-cmd-time (26025 64606 934573 107000)
23:36:46.934707 tramp-send-string (10) # ls -1 -d -l / | cat; echo tramp_exit_status $?
23:36:46.934800 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.934901 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.934983 tramp-set-connection-property (7) # locked t
23:36:46.935085 tramp-flush-connection-property (7) # locked
23:36:46.935181 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:46.935277 tramp-get-connection-property (7) # prompt ///2f285da54fff9cb9e1bff67e9b3cf382#\$; cache used: t
23:36:46.935367 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.935449 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.935538 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.935620 tramp-set-connection-property (7) # locked t
23:36:46.936124 tramp-accept-process-output (10) # *tramp/adb * nil run t
l
23:36:46.936221 tramp-flush-connection-property (7) # locked
23:36:46.936304 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.936387 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.936479 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.936561 tramp-set-connection-property (7) # locked t
23:36:46.937866 tramp-accept-process-output (10) # *tramp/adb * nil run t
ls -1 -d -l / | cat; echo tramp_exit_status $?
23:36:46.937964 tramp-flush-connection-property (7) # locked
23:36:46.938051 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.938134 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.938224 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.938306 tramp-set-connection-property (7) # locked t
23:36:46.981076 tramp-accept-process-output (10) # *tramp/adb * nil run t
ls -1 -d -l / | cat; echo tramp_exit_status $?
ls: Unknown option '-1'. Aborting.
tramp_exit_status 0
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:46.981185 tramp-flush-connection-property (7) # locked
23:36:46.981269 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.981354 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.981460 tramp-wait-for-regexp (6) # 
ls -1 -d -l / | cat; echo tramp_exit_status $?
ls: Unknown option '-1'. Aborting.
tramp_exit_status 0
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:46.981586 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.981724 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.981954 tramp-set-file-property (8) # / file-attributes nil
23:36:46.982073 tramp-set-file-property (8) # / file-attributes-integer nil
23:36:46.982322 tramp-set-file-property (8) # / file-truename /
23:36:46.982695 tramp-get-file-property (8) # / file-attributes-integer nil; inhibit: 10; cache used: t; cached at: 23:36:46
23:36:46.983542 tramp-get-file-property (8) # / file-truename /; inhibit: 10; cache used: t; cached at: 23:36:46
23:36:46.983984 tramp-get-connection-property (7) # case-insensitive undef; cache used: nil
23:36:46.984088 tramp-get-connection-property (7) # case-insensitive undef; cache used: nil
23:36:46.984183 tramp-handle-file-name-case-insensitive-p (5) # Checking case-insensitive...
23:36:46.984489 tramp-get-connection-property (7) # remote-tmpdir undef; cache used: nil
23:36:46.984600 tramp-get-connection-property (7) # tmpdir undef; cache used: nil
23:36:46.985565 tramp-get-file-property (8) # /data/local/tmp file-truename undef; inhibit: 10; cache used: nil; cached at: nil
23:36:46.985996 tramp-get-file-property (8) # /data/local/tmp file-attributes-integer undef; inhibit: 10; cache used: nil; cached at: nil
23:36:46.986160 tramp-get-file-property (8) # /data/local/tmp file-attributes undef; inhibit: 10; cache used: nil; cached at: nil
23:36:46.986272 tramp-get-connection-property (7) # ls ls -1; cache used: t
23:36:46.986421 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.986520 tramp-get-connection-property (7) # device HT7281601342; cache used: t
23:36:46.986614 tramp-adb-send-command (6) # ls -1 -d -l /data/local/tmp | cat; echo tramp_exit_status $?
23:36:46.986711 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:46.986809 tramp-get-connection-property (7) # chunksize nil; cache used: nil
23:36:46.986902 tramp-set-connection-property (7) # last-cmd-time (26025 64606 986866 496000)
23:36:46.987004 tramp-send-string (10) # ls -1 -d -l /data/local/tmp | cat; echo tramp_exit_status $?
23:36:46.987099 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:46.987200 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.987282 tramp-set-connection-property (7) # locked t
23:36:46.987385 tramp-flush-connection-property (7) # locked
23:36:46.987487 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:46.987586 tramp-get-connection-property (7) # prompt ///2f285da54fff9cb9e1bff67e9b3cf382#\$; cache used: t
23:36:46.987679 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.987763 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.987850 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.987934 tramp-set-connection-property (7) # locked t
23:36:46.988379 tramp-accept-process-output (10) # *tramp/adb * nil run t
l
23:36:46.988482 tramp-flush-connection-property (7) # locked
23:36:46.988572 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.988662 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.988752 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.988837 tramp-set-connection-property (7) # locked t
23:36:46.990492 tramp-accept-process-output (10) # *tramp/adb * nil run t
ls -1 -d -l /data/local/tmp | cat; echo tramp_exit_status $?
23:36:46.990578 tramp-flush-connection-property (7) # locked
23:36:46.990665 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.990756 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:46.990848 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:46.990942 tramp-set-connection-property (7) # locked t
23:36:47.033075 tramp-accept-process-output (10) # *tramp/adb * nil run t
ls -1 -d -l /data/local/tmp | cat; echo tramp_exit_status $?
ls: Unknown option '-1'. Aborting.
tramp_exit_status 0
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:47.033186 tramp-flush-connection-property (7) # locked
23:36:47.033271 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.033355 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.033444 tramp-wait-for-regexp (6) # 
ls -1 -d -l /data/local/tmp | cat; echo tramp_exit_status $?
ls: Unknown option '-1'. Aborting.
tramp_exit_status 0
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:47.033570 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:47.033702 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:47.033942 tramp-set-file-property (8) # /data/local/tmp file-attributes nil
23:36:47.034078 tramp-set-file-property (8) # /data/local/tmp file-attributes-integer nil
23:36:47.034298 tramp-set-file-property (8) # /data/local/tmp file-truename /data/local/tmp
23:36:47.034624 tramp-get-file-property (8) # /data/local/tmp file-attributes-integer nil; inhibit: 10; cache used: t; cached at: 23:36:47
23:36:47.262047 tramp-get-remote-tmpdir (10) # 
  backtrace()
  tramp-error((tramp-file-name "adb" nil nil "" nil "/" nil) file-error "Directory %s not accessible" "/adb::/data/local/tmp")
  tramp-get-remote-tmpdir((tramp-file-name "adb" nil nil "" nil "/" nil))
  tramp-handle-temporary-file-directory()
  tramp-adb-file-name-handler(temporary-file-directory)
  apply(tramp-adb-file-name-handler temporary-file-directory nil)
  tramp-file-name-handler(temporary-file-directory)
  temporary-file-directory()
  make-nearby-temp-file("tramp.")
  tramp-handle-file-name-case-insensitive-p("/adb::/")
  tramp-adb-file-name-handler(file-name-case-insensitive-p "/adb::/")
  apply(tramp-adb-file-name-handler file-name-case-insensitive-p "/adb::/")
  tramp-file-name-handler(file-name-case-insensitive-p "/adb::/")
  abbreviate-file-name("/adb::/")
  tramp-run-real-handler(abbreviate-file-name ("/adb::/"))
  tramp-adb-file-name-handler(abbreviate-file-name "/adb::/")
  apply(tramp-adb-file-name-handler abbreviate-file-name "/adb::/")
  tramp-file-name-handler(abbreviate-file-name "/adb::/")
  abbreviate-file-name("/adb::/")
  find-file-noselect("/adb::/")
  command-line-1(("-l" "tramp" "-f" "tramp-cleanup-all-connections" "--eval" "(setq tramp-verbose 10)" "/adb::"))
  command-line()
  normal-top-level()
23:36:47.262631 tramp-get-remote-tmpdir (1) # File error: Directory /adb::/data/local/tmp not accessible
  ls: Unknown option '-1'. Aborting.
23:36:47.263337 tramp-get-file-property (8) # / file-truename /; inhibit: 10; cache used: t; cached at: 23:36:46
23:36:47.284664 tramp-get-file-property (8) # / file-attributes-integer nil; inhibit: 10; cache used: t; cached at: 23:36:46
23:36:47.285539 tramp-get-file-property (8) # /tramp.2PWZh5 file-truename undef; inhibit: 10; cache used: nil; cached at: nil
23:36:47.285797 tramp-get-file-property (8) # /tramp.2PWZh5 file-attributes-integer undef; inhibit: 10; cache used: nil; cached at: nil
23:36:47.285888 tramp-get-file-property (8) # /tramp.2PWZh5 file-attributes undef; inhibit: 10; cache used: nil; cached at: nil
23:36:47.285955 tramp-get-connection-property (7) # ls ls -1; cache used: t
23:36:47.286056 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:47.286117 tramp-get-connection-property (7) # device HT7281601342; cache used: t
23:36:47.286171 tramp-adb-send-command (6) # ls -1 -d -l /tramp.2PWZh5 | cat; echo tramp_exit_status $?
23:36:47.286227 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:47.286283 tramp-get-connection-property (7) # chunksize nil; cache used: nil
23:36:47.286338 tramp-set-connection-property (7) # last-cmd-time (26025 64607 286316 554000)
23:36:47.286399 tramp-send-string (10) # ls -1 -d -l /tramp.2PWZh5 | cat; echo tramp_exit_status $?
23:36:47.286454 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:47.286516 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:47.286566 tramp-set-connection-property (7) # locked t
23:36:47.286639 tramp-flush-connection-property (7) # locked
23:36:47.286696 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:47.286753 tramp-get-connection-property (7) # prompt ///2f285da54fff9cb9e1bff67e9b3cf382#\$; cache used: t
23:36:47.286809 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.286859 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.286913 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:47.286989 tramp-set-connection-property (7) # locked t
23:36:47.288018 tramp-accept-process-output (10) # *tramp/adb * nil run t
l
23:36:47.288079 tramp-flush-connection-property (7) # locked
23:36:47.288129 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.288180 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.288233 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:47.288283 tramp-set-connection-property (7) # locked t
23:36:47.290481 tramp-accept-process-output (10) # *tramp/adb * nil run t
ls -1 -d -l /tramp.2PWZh5 | cat; echo tramp_exit_status $?
23:36:47.290547 tramp-flush-connection-property (7) # locked
23:36:47.290599 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.290649 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.290701 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:47.290751 tramp-set-connection-property (7) # locked t
23:36:47.333228 tramp-accept-process-output (10) # *tramp/adb * nil run t
ls -1 -d -l /tramp.2PWZh5 | cat; echo tramp_exit_status $?
ls: Unknown option '-1'. Aborting.
tramp_exit_status 0
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:47.333360 tramp-flush-connection-property (7) # locked
23:36:47.333447 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.333533 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.333625 tramp-wait-for-regexp (6) # 
ls -1 -d -l /tramp.2PWZh5 | cat; echo tramp_exit_status $?
ls: Unknown option '-1'. Aborting.
tramp_exit_status 0
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:47.333758 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:47.333887 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:47.334156 tramp-set-file-property (8) # /tramp.2PWZh5 file-attributes nil
23:36:47.334296 tramp-set-file-property (8) # /tramp.2PWZh5 file-attributes-integer nil
23:36:47.334538 tramp-set-file-property (8) # /tramp.2PWZh5 file-truename /tramp.2PWZh5
23:36:47.334985 tramp-get-file-property (8) # /tramp.2PWZh5 file-exists-p undef; inhibit: 10; cache used: nil; cached at: nil
23:36:47.335168 tramp-get-file-property (8) # /tramp.2PWZh5 file-attributes nil; inhibit: 10; cache used: t; cached at: 23:36:47
23:36:47.335332 tramp-get-file-property (8) # /tramp.2PWZh5 file-attributes nil; inhibit: 10; cache used: t; cached at: 23:36:47
23:36:47.335482 tramp-set-file-property (8) # /tramp.2PWZh5 file-exists-p nil
23:36:47.336251 tramp-get-file-property (8) # /.#tramp.2PWZh5 file-attributes-integer undef; inhibit: 10; cache used: nil; cached at: nil
23:36:47.336405 tramp-get-file-property (8) # /.#tramp.2PWZh5 file-attributes undef; inhibit: 10; cache used: nil; cached at: nil
23:36:47.336520 tramp-get-connection-property (7) # ls ls -1; cache used: t
23:36:47.336688 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:47.336790 tramp-get-connection-property (7) # device HT7281601342; cache used: t
23:36:47.336901 tramp-adb-send-command (6) # ls -1 -d -l /.\#tramp.2PWZh5 | cat; echo tramp_exit_status $?
23:36:47.336996 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:47.337094 tramp-get-connection-property (7) # chunksize nil; cache used: nil
23:36:47.337188 tramp-set-connection-property (7) # last-cmd-time (26025 64607 337152 94000)
23:36:47.337290 tramp-send-string (10) # ls -1 -d -l /.\#tramp.2PWZh5 | cat; echo tramp_exit_status $?
23:36:47.337383 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:47.337486 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:47.337573 tramp-set-connection-property (7) # locked t
23:36:47.337676 tramp-flush-connection-property (7) # locked
23:36:47.337774 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:47.337873 tramp-get-connection-property (7) # prompt ///2f285da54fff9cb9e1bff67e9b3cf382#\$; cache used: t
23:36:47.337970 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.338055 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.338145 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:47.338228 tramp-set-connection-property (7) # locked t
23:36:47.338747 tramp-accept-process-output (10) # *tramp/adb * nil run t
l
23:36:47.338850 tramp-flush-connection-property (7) # locked
23:36:47.338938 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.339025 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.339114 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:47.339202 tramp-set-connection-property (7) # locked t
23:36:47.340732 tramp-accept-process-output (10) # *tramp/adb * nil run t
ls -1 -d -l /.\#tramp.2PWZh5 | cat; echo tramp_exit_status $?
23:36:47.340823 tramp-flush-connection-property (7) # locked
23:36:47.340931 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.341020 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.341111 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:47.341199 tramp-set-connection-property (7) # locked t
23:36:47.381092 tramp-accept-process-output (10) # *tramp/adb * nil run t
ls -1 -d -l /.\#tramp.2PWZh5 | cat; echo tramp_exit_status $?
ls: Unknown option '-1'. Aborting.
tramp_exit_status 0
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:47.381205 tramp-flush-connection-property (7) # locked
23:36:47.381292 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.381377 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.381468 tramp-wait-for-regexp (6) # 
ls -1 -d -l /.\#tramp.2PWZh5 | cat; echo tramp_exit_status $?
ls: Unknown option '-1'. Aborting.
tramp_exit_status 0
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:47.381593 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:47.381723 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:47.381969 tramp-set-file-property (8) # /.#tramp.2PWZh5 file-attributes nil
23:36:47.382107 tramp-set-file-property (8) # /.#tramp.2PWZh5 file-attributes-integer nil
23:36:47.382554 tramp-get-file-property (8) # /.#tramp.2PWZh5 file-readable-p undef; inhibit: 10; cache used: nil; cached at: nil
23:36:47.382731 tramp-get-file-property (8) # /.#tramp.2PWZh5 file-attributes nil; inhibit: 10; cache used: t; cached at: 23:36:47
23:36:47.383008 tramp-get-file-property (8) # /.#tramp.2PWZh5 file-readable-p undef; inhibit: 10; cache used: nil; cached at: nil
23:36:47.383349 tramp-get-file-property (8) # /.#tramp.2PWZh5 file-attributes-integer nil; inhibit: 10; cache used: t; cached at: 23:36:47
23:36:47.383821 tramp-get-file-property (8) # /.#tramp.2PWZh5 file-attributes-integer nil; inhibit: 10; cache used: t; cached at: 23:36:47
23:36:47.383984 tramp-set-file-property (8) # /.#tramp.2PWZh5 file-readable-p nil
23:36:47.384121 tramp-set-file-property (8) # /.#tramp.2PWZh5 file-readable-p nil
23:36:47.384446 tramp-get-file-property (8) # /tramp.2PWZh5 file-attributes-integer nil; inhibit: 10; cache used: t; cached at: 23:36:47
23:36:47.384572 tramp-get-connection-property (7) # uid-integer undef; cache used: nil
23:36:47.384720 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:47.384822 tramp-get-connection-property (7) # device HT7281601342; cache used: t
23:36:47.384935 tramp-adb-send-command (6) # id
23:36:47.385028 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:47.385128 tramp-get-connection-property (7) # chunksize nil; cache used: nil
23:36:47.385228 tramp-set-connection-property (7) # last-cmd-time (26025 64607 385191 393000)
23:36:47.385333 tramp-send-string (10) # id
23:36:47.385430 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:47.385535 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:47.385622 tramp-set-connection-property (7) # locked t
23:36:47.385752 tramp-flush-connection-property (7) # locked
23:36:47.385857 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:47.385960 tramp-get-connection-property (7) # prompt ///2f285da54fff9cb9e1bff67e9b3cf382#\$; cache used: t
23:36:47.386056 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.386143 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.386234 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:47.386319 tramp-set-connection-property (7) # locked t
23:36:47.386742 tramp-accept-process-output (10) # *tramp/adb * nil run t
i
23:36:47.386851 tramp-flush-connection-property (7) # locked
23:36:47.386945 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.387035 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.387128 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:47.387216 tramp-set-connection-property (7) # locked t
23:36:47.388224 tramp-accept-process-output (10) # *tramp/adb * nil run t
id
23:36:47.388309 tramp-flush-connection-property (7) # locked
23:36:47.388398 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.388489 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.388583 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:47.388671 tramp-set-connection-property (7) # locked t
23:36:47.429059 tramp-accept-process-output (10) # *tramp/adb * nil run t
id
uid=2000(shell) gid=2000(shell) groups=2000(shell),1004(input),1007(log),1011(adb),1015(sdcard_rw),1028(sdcard_r),3001(net_bt_admin),3002(net_bt),3003(inet),3006(net_bw_stats) context=u:r:shell:s0
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:47.429198 tramp-flush-connection-property (7) # locked
23:36:47.429286 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.429372 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.429461 tramp-wait-for-regexp (6) # 
id
uid=2000(shell) gid=2000(shell) groups=2000(shell),1004(input),1007(log),1011(adb),1015(sdcard_rw),1028(sdcard_r),3001(net_bt_admin),3002(net_bt),3003(inet),3006(net_bw_stats) context=u:r:shell:s0
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:47.429589 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:47.429722 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:47.429880 tramp-set-connection-property (7) # uid-integer 2000
23:36:47.429981 tramp-set-connection-property (7) # uid-string shell
23:36:47.430073 tramp-set-connection-property (7) # gid-integer 2000
23:36:47.430169 tramp-set-connection-property (7) # gid-string shell
23:36:47.430254 tramp-set-connection-property (7) # groups-integer (2000 1004 1007 1011 1015 1028 3001 3002 3003 3006)
23:36:47.430352 tramp-set-connection-property (7) # groups-string (shell input log adb sdcard_rw sdcard_r net_bt_admin net_bt inet net_bw_stats)
23:36:47.430469 tramp-get-connection-property (7) # uid-integer 2000; cache used: t
23:36:47.430586 tramp-set-connection-property (7) # uid-integer 2000
23:36:47.431015 tramp-get-file-property (8) # /tramp.2PWZh5 file-attributes-integer nil; inhibit: 10; cache used: t; cached at: 23:36:47
23:36:47.431145 tramp-get-connection-property (7) # gid-integer 2000; cache used: t
23:36:47.432591 tramp-get-file-property (8) # /.#tramp.2PWZh5 file-attributes-integer nil; inhibit: 10; cache used: t; cached at: 23:36:47
23:36:47.433081 tramp-get-file-property (8) # /.#tramp.2PWZh5 file-readable-p nil; inhibit: 10; cache used: t; cached at: 23:36:47
23:36:47.433875 tramp-get-file-property (8) # /.#tramp.2PWZh5 file-attributes-integer nil; inhibit: 10; cache used: t; cached at: 23:36:47
23:36:47.434334 tramp-get-file-property (8) # /.#tramp.2PWZh5 file-readable-p nil; inhibit: 10; cache used: t; cached at: 23:36:47
23:36:47.434771 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:47.483611 tramp-handle-file-in-directory-p (10) # 
  backtrace()
  tramp-error((tramp-file-name "adb" nil nil "" nil "/" nil) wrong-type-argument "stringp nil")
  tramp-signal-hook-function(wrong-type-argument (stringp nil))
  tramp-handle-file-in-directory-p("/adb::/.#tramp.2PWZh5" nil)
  tramp-adb-file-name-handler(file-in-directory-p "/adb::/.#tramp.2PWZh5" nil)
  apply(tramp-adb-file-name-handler file-in-directory-p ("/adb::/.#tramp.2PWZh5" nil))
  tramp-file-name-handler(file-in-directory-p "/adb::/.#tramp.2PWZh5" nil)
  file-in-directory-p("/adb::/.#tramp.2PWZh5" nil)
  tramp-handle-lock-file("/adb::/tramp.2PWZh5")
  tramp-adb-file-name-handler(lock-file "/adb::/tramp.2PWZh5")
  apply(tramp-adb-file-name-handler lock-file "/adb::/tramp.2PWZh5")
  tramp-file-name-handler(lock-file "/adb::/tramp.2PWZh5")
  lock-file("/adb::/tramp.2PWZh5")
  tramp-adb-handle-write-region("" nil "/adb::/tramp.2PWZh5" nil silent "/adb::/tramp.2PWZh5" excl)
  tramp-adb-file-name-handler(write-region "" nil "/adb::/tramp.2PWZh5" nil silent "/adb::/tramp.2PWZh5" excl)
  apply(tramp-adb-file-name-handler write-region ("" nil "/adb::/tramp.2PWZh5" nil silent "/adb::/tramp.2PWZh5" excl))
  tramp-file-name-handler(write-region "" nil "/adb::/tramp.2PWZh5" nil silent "/adb::/tramp.2PWZh5" excl)
  write-region("" nil "/adb::/tramp.2PWZh5" nil silent nil excl)
  files--make-magic-temp-file("/adb::/tramp." nil nil nil)
  make-temp-file("tramp." nil nil)
  make-nearby-temp-file("tramp.")
  tramp-handle-file-name-case-insensitive-p("/adb::/")
  tramp-adb-file-name-handler(file-name-case-insensitive-p "/adb::/")
  apply(tramp-adb-file-name-handler file-name-case-insensitive-p "/adb::/")
  tramp-file-name-handler(file-name-case-insensitive-p "/adb::/")
  abbreviate-file-name("/adb::/")
  tramp-run-real-handler(abbreviate-file-name ("/adb::/"))
  tramp-adb-file-name-handler(abbreviate-file-name "/adb::/")
  apply(tramp-adb-file-name-handler abbreviate-file-name "/adb::/")
  tramp-file-name-handler(abbreviate-file-name "/adb::/")
  abbreviate-file-name("/adb::/")
  find-file-noselect("/adb::/")
  command-line-1(("-l" "tramp" "-f" "tramp-cleanup-all-connections" "--eval" "(setq tramp-verbose 10)" "/adb::"))
  command-line()
  normal-top-level()
23:36:47.483994 tramp-handle-file-in-directory-p (1) # Wrong type argument: "Wrong type argument", "stringp nil"
uid=2000(shell) gid=2000(shell) groups=2000(shell),1004(input),1007(log),1011(adb),1015(sdcard_rw),1028(sdcard_r),3001(net_bt_admin),3002(net_bt),3003(inet),3006(net_bw_stats) context=u:r:shell:s0
23:36:47.484128 tramp-handle-file-name-case-insensitive-p (5) # Checking case-insensitive...failed
23:36:47.484230 tramp-set-connection-property (7) # case-insensitive nil
23:36:47.484634 tramp-get-file-property (8) # / file-attributes-integer nil; inhibit: 10; cache used: t; cached at: 23:36:46
23:36:47.485408 tramp-get-file-property (8) # / file-truename /; inhibit: 10; cache used: t; cached at: 23:36:46
23:36:47.485840 tramp-get-connection-property (7) # case-insensitive nil; cache used: t
23:36:47.485940 tramp-get-connection-property (7) # case-insensitive nil; cache used: t
23:36:47.486040 tramp-get-connection-property (7) # case-insensitive nil; cache used: t
23:36:47.486459 tramp-get-file-property (8) # / file-attributes-integer nil; inhibit: 10; cache used: t; cached at: 23:36:46
23:36:47.487742 tramp-handle-insert-file-contents (3) # Inserting ‘/adb::/’...
23:36:47.488764 tramp-get-file-property (8) # / file-truename /; inhibit: 10; cache used: t; cached at: 23:36:46
23:36:47.489477 tramp-adb-handle-file-local-copy (3) # Fetching /adb::/ to tmp file /tmp/tramp.0fRjUB...
23:36:47.489598 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:47.489698 tramp-call-process (6) # ‘adb pull / /tmp/tramp.0fRjUB’ nil *tramp/adb *
23:36:47.498358 tramp-call-process (6) # 1
adb: error: target '/tmp/tramp.0fRjUB' is not a directory
23:36:47.507693 tramp-adb-handle-file-local-copy (10) # 
  backtrace()
  tramp-error((tramp-file-name "adb" nil nil "" nil "/" nil) file-error "Cannot make local copy of file `%s'" "/adb::/")
  tramp-adb-handle-file-local-copy("/adb::/")
  tramp-adb-file-name-handler(file-local-copy "/adb::/")
  apply(tramp-adb-file-name-handler file-local-copy "/adb::/")
  tramp-file-name-handler(file-local-copy "/adb::/")
  file-local-copy("/adb::/")
  tramp-handle-insert-file-contents("/adb::/" t nil nil nil)
  tramp-adb-file-name-handler(insert-file-contents "/adb::/" t nil nil nil)
  apply(tramp-adb-file-name-handler insert-file-contents ("/adb::/" t nil nil nil))
  tramp-file-name-handler(insert-file-contents "/adb::/" t nil nil nil)
  insert-file-contents("/adb::/" t)
  find-file-noselect-1(#<buffer /adb::/> "/adb::/" nil nil "/adb::/" nil)
  find-file-noselect("/adb::/")
  command-line-1(("-l" "tramp" "-f" "tramp-cleanup-all-connections" "--eval" "(setq tramp-verbose 10)" "/adb::"))
  command-line()
  normal-top-level()
23:36:47.507898 tramp-adb-handle-file-local-copy (1) # File error: Cannot make local copy of file ‘/adb::/’
adb: error: target '/tmp/tramp.0fRjUB' is not a directory
23:36:47.507996 tramp-adb-handle-file-local-copy (3) # Fetching /adb::/ to tmp file /tmp/tramp.0fRjUB...failed
23:36:47.508419 tramp-get-file-property (8) # / file-exists-p undef; inhibit: 10; cache used: nil; cached at: nil
23:36:47.508571 tramp-get-file-property (8) # / file-attributes nil; inhibit: 10; cache used: t; cached at: 23:36:46
23:36:47.508704 tramp-get-file-property (8) # / file-attributes nil; inhibit: 10; cache used: t; cached at: 23:36:46
23:36:47.508820 tramp-set-file-property (8) # / file-exists-p nil
23:36:47.541693 tramp-adb-handle-file-local-copy (10) # 
  backtrace()
  tramp-error((tramp-file-name "adb" nil nil "" nil "/" nil) file-missing "/adb::/")
  tramp-adb-handle-file-local-copy("/adb::/")
  tramp-adb-file-name-handler(file-local-copy "/adb::/")
  apply(tramp-adb-file-name-handler file-local-copy "/adb::/")
  tramp-file-name-handler(file-local-copy "/adb::/")
  file-local-copy("/adb::/")
  tramp-handle-insert-file-contents("/adb::/" t nil nil nil)
  tramp-adb-file-name-handler(insert-file-contents "/adb::/" t nil nil nil)
  apply(tramp-adb-file-name-handler insert-file-contents ("/adb::/" t nil nil nil))
  tramp-file-name-handler(insert-file-contents "/adb::/" t nil nil nil)
  insert-file-contents("/adb::/" t)
  find-file-noselect-1(#<buffer /adb::/> "/adb::/" nil nil "/adb::/" nil)
  find-file-noselect("/adb::/")
  command-line-1(("-l" "tramp" "-f" "tramp-cleanup-all-connections" "--eval" "(setq tramp-verbose 10)" "/adb::"))
  command-line()
  normal-top-level()
23:36:47.541811 tramp-adb-handle-file-local-copy (1) # File is missing: /adb::/
adb: error: target '/tmp/tramp.0fRjUB' is not a directory
23:36:47.542215 tramp-handle-insert-file-contents (3) # Inserting ‘/adb::/’...failed
23:36:47.542515 tramp-get-file-property (8) # / file-exists-p nil; inhibit: 10; cache used: t; cached at: 23:36:47
23:36:47.546450 tramp-handle-insert-file-contents (10) # 
  backtrace()
  tramp-error((tramp-file-name "adb" nil nil "" nil "/" nil) file-missing "/adb::/")
  tramp-handle-insert-file-contents("/adb::/" t nil nil nil)
  tramp-adb-file-name-handler(insert-file-contents "/adb::/" t nil nil nil)
  apply(tramp-adb-file-name-handler insert-file-contents ("/adb::/" t nil nil nil))
  tramp-file-name-handler(insert-file-contents "/adb::/" t nil nil nil)
  insert-file-contents("/adb::/" t)
  find-file-noselect-1(#<buffer /adb::/> "/adb::/" nil nil "/adb::/" nil)
  find-file-noselect("/adb::/")
  command-line-1(("-l" "tramp" "-f" "tramp-cleanup-all-connections" "--eval" "(setq tramp-verbose 10)" "/adb::"))
  command-line()
  normal-top-level()
23:36:47.546751 tramp-handle-insert-file-contents (1) # File is missing: /adb::/
adb: error: target '/tmp/tramp.0fRjUB' is not a directory
23:36:47.546997 tramp-get-file-property (8) # / file-writable-p undef; inhibit: 10; cache used: nil; cached at: nil
23:36:47.547234 tramp-get-file-property (8) # / file-exists-p nil; inhibit: 10; cache used: t; cached at: 23:36:47
23:36:47.547798 tramp-get-file-property (8) # / file-truename /; inhibit: 10; cache used: t; cached at: 23:36:46
23:36:47.547996 tramp-get-file-property (8) # / file-attributes-integer nil; inhibit: 10; cache used: t; cached at: 23:36:46
23:36:47.548075 tramp-set-file-property (8) # / file-writable-p nil
23:36:47.548321 tramp-get-file-property (8) # / file-attributes-integer undef; inhibit: t; cache used: nil; cached at: 23:36:46
23:36:47.548396 tramp-get-file-property (8) # / file-attributes undef; inhibit: t; cache used: nil; cached at: 23:36:46
23:36:47.548453 tramp-get-connection-property (7) # ls ls -1; cache used: t
23:36:47.548543 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:47.548601 tramp-get-connection-property (7) # device HT7281601342; cache used: t
23:36:47.548652 tramp-adb-send-command (6) # ls -1 -d -l / | cat; echo tramp_exit_status $?
23:36:47.548703 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:47.548754 tramp-get-connection-property (7) # chunksize nil; cache used: nil
23:36:47.548806 tramp-set-connection-property (7) # last-cmd-time (26025 64607 548788 39000)
23:36:47.548882 tramp-send-string (10) # ls -1 -d -l / | cat; echo tramp_exit_status $?
23:36:47.548936 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:47.548999 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:47.549053 tramp-set-connection-property (7) # locked t
23:36:47.549152 tramp-flush-connection-property (7) # locked
23:36:47.549207 tramp-get-connection-property (7) # process-name nil; cache used: nil
23:36:47.549260 tramp-get-connection-property (7) # prompt ///2f285da54fff9cb9e1bff67e9b3cf382#\$; cache used: t
23:36:47.549315 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.549368 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.549475 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:47.549545 tramp-set-connection-property (7) # locked t
23:36:47.550427 tramp-accept-process-output (10) # *tramp/adb * nil run t
l
23:36:47.550499 tramp-flush-connection-property (7) # locked
23:36:47.550572 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.550627 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.550707 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:47.550762 tramp-set-connection-property (7) # locked t
23:36:47.552010 tramp-accept-process-output (10) # *tramp/adb * nil run t
ls -1 -d -l / | cat; echo tramp_exit_status $?
23:36:47.552083 tramp-flush-connection-property (7) # locked
23:36:47.552153 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.552217 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.552287 tramp-get-connection-property (7) # locked nil; cache used: nil
23:36:47.552351 tramp-set-connection-property (7) # locked t
23:36:47.597145 tramp-accept-process-output (10) # *tramp/adb * nil run t
ls -1 -d -l / | cat; echo tramp_exit_status $?
ls: Unknown option '-1'. Aborting.
tramp_exit_status 0
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:47.597237 tramp-flush-connection-property (7) # locked
23:36:47.597294 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.597347 tramp-get-connection-property (7) # check-remote-echo nil; cache used: nil
23:36:47.597409 tramp-wait-for-regexp (6) # 
ls -1 -d -l / | cat; echo tramp_exit_status $?
ls: Unknown option '-1'. Aborting.
tramp_exit_status 0
///2f285da54fff9cb9e1bff67e9b3cf382#$
23:36:47.597489 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:47.597576 tramp-get-connection-property (7) # process-buffer nil; cache used: t
23:36:47.597717 tramp-set-file-property (8) # / file-attributes nil
23:36:47.597785 tramp-set-file-property (8) # / file-attributes-integer nil
23:36:47.598098 tramp-get-file-property (8) # / file-exists-p nil; inhibit: 10; cache used: t; cached at: 23:36:47
23:36:47.598347 tramp-get-file-property (8) # / file-writable-p nil; inhibit: 10; cache used: t; cached at: 23:36:47
23:36:47.598582 tramp-get-file-property (8) # / file-exists-p nil; inhibit: 10; cache used: t; cached at: 23:36:47
23:36:47.598813 tramp-get-file-property (8) # / file-attributes-integer nil; inhibit: 10; cache used: t; cached at: 23:36:47
23:36:47.599434 tramp-get-file-property (8) # / file-truename /; inhibit: 10; cache used: t; cached at: 23:36:46
23:36:47.599633 tramp-get-file-property (8) # / file-attributes-integer nil; inhibit: 10; cache used: t; cached at: 23:36:47
23:36:47.600190 tramp-get-file-property (8) # / file-truename /; inhibit: 10; cache used: t; cached at: 23:36:46
23:36:47.600411 tramp-get-file-property (8) # / file-attributes-integer nil; inhibit: 10; cache used: t; cached at: 23:36:47
23:36:47.601743 tramp-get-file-property (8) # / file-attributes-integer nil; inhibit: 10; cache used: t; cached at: 23:36:47
23:36:47.602030 tramp-get-file-property (8) # / file-attributes-integer nil; inhibit: 10; cache used: t; cached at: 23:36:47
23:36:47.602624 tramp-get-connection-property (7) # case-insensitive nil; cache used: t
23:36:47.602682 tramp-get-connection-property (7) # case-insensitive nil; cache used: t
23:36:47.602737 tramp-get-connection-property (7) # case-insensitive nil; cache used: t
23:36:47.603235 tramp-get-connection-property (7) # case-insensitive nil; cache used: t
23:36:47.603292 tramp-get-connection-property (7) # case-insensitive nil; cache used: t
23:36:47.603347 tramp-get-connection-property (7) # case-insensitive nil; cache used: t
23:36:47.605119 tramp-get-connection-property (7) # case-insensitive nil; cache used: t
23:36:47.605182 tramp-get-connection-property (7) # case-insensitive nil; cache used: t
23:36:47.605243 tramp-get-connection-property (7) # case-insensitive nil; cache used: t
23:36:47.633914 tramp-get-connection-property (7) # case-insensitive nil; cache used: t
23:36:47.633982 tramp-get-connection-property (7) # case-insensitive nil; cache used: t
23:36:47.634040 tramp-get-connection-property (7) # case-insensitive nil; cache used: t
--8<---------------cut here---------------end--------------->8---

-- 
Thanks,
Maxim